Replace all instances of `value` with `replacement` in an array. Array elements are modified in place.

```lua
table.replace(tbl, value, replacement)
```

### Parameters ###

`tbl` is the table to be modified. `value` is the value to be replaced, and `replacement` is the new value to use.


### Return Value ###

Returns `tbl`, modified in place with the replacement values.


### Availability ###

Premake 5.0 or later.

